#
# spec file for package python-PyChromecast
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-PyChromecast
Version:        2.5.2
Release:        lp151.1.1
Summary:        Python module to talk to Google Chromecast
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/balloob/pychromecast
Source:         https://files.pythonhosted.org/packages/source/P/PyChromecast/PyChromecast-%{version}.tar.gz
BuildRequires:  %{python_module casttube >= 0.1.0}
BuildRequires:  %{python_module protobuf >= 3.0.0}
BuildRequires:  %{python_module requests >= 2.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six >= 1.10.0}
BuildRequires:  %{python_module zeroconf >= 0.17.7}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-casttube >= 0.1.0
Requires:       python-protobuf >= 3.0.0
Requires:       python-requests >= 2.0
Requires:       python-six >= 1.10.0
Requires:       python-zeroconf >= 0.17.7
BuildArch:      noarch
%python_subpackages

%description
Library to communicate with the Google Chromecast. It currently supports
Auto discovering connected Chromecasts on the network, start the default
media receiver and play any online media, control playback of current
playing media, implement Google Chromecast api v2, communicate with apps
via channels, easily extendable to add support for unsupported namespaces,
multi-room setups with Audio cast devices.

%prep
%setup -q -n PyChromecast-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/pychromecast
%{python_sitelib}/PyChromecast-%{version}-py%{py3_ver}.egg-info

%changelog
* Tue Mar  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.5.2:
  * YouTube controller version update (#258) @ur1katz
  * Add support for connecting to named service (#267) @emontnemery
  * Exponential backoff of mdns service resolution retries (#268) @emontnemery
  * Improve exponential backoff of mdns service resolution retries (#269) @emontnemery
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.3.0:
  * Updated spotify controller description (#232) @Nobyx
  * Allow users to pass the force_launch flag when launching an app (#237) @marcosdiez
  * Better YouTube controller (#236) @ur1katz
  * Simple event listener example (#241) @hjmsw
* Wed Dec 26 2018 Matej Cepl <mcepl@suse.com>
- Fix build failure: %%{py_ver} doesn't work, %%{py3_ver}
  does.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 11 2018 toddrme2178@gmail.com
- Don't forget python_module workaround.
* Thu May  3 2018 alarrosa@suse.com
- Run spec_cleaner
* Thu May  3 2018 alarrosa@suse.com
- Update to version 2.2.0
  * Spotify controller creation
  * Fixed misplaced parenthesis
- Update to version 2.1.0
  * Fix not waiting with no tries set
  * Add adjusted_current_time() function
- Update to version 2.0.0
  * Drop Python 2 support
  * Fixes for discovery, FreeBSD Socket creation
  * Fix Channel Close
  * Add return for "uri" value, fix SSL issues on Windows
  * Don't sleep when there are no tries remaining
- Drop 0001-Dont-sleep-when-there-are-no-tries-remaining.patch
* Fri Jan  5 2018 alarrosa@suse.com
- Add 0001-Dont-sleep-when-there-are-no-tries-remaining.patch from
  upstream
- Update to version 1.0.3
  * Catch OSError as well as socket.error
  * Fix CAST_TYPES mapping
  * Revert 184 socket client changes
- Update to version 1.0.2
  * Remove excess return value from get_device_status
- Update to version 1.0.1
  * Properly remove api_version now
- Update to version 1.0.0
  * Cast web pages with DashCast
  * Fix get_device_status for newer cast firmwares
  * Remove api_version from DeviceStatus
* Tue Sep  5 2017 alarrosa@suse.com
- Update to version 0.8.2
  * Fix race in SocketClient.send_message
  * Fix send message deadlock
- Run spec-cleaner
* Mon Jun 12 2017 alarrosa@suse.com
- Initial release of python-PyChromecast 0.8.1
